SHRED(1)

NOMBRE
shred - sobreescribe (y borra, opcionalmente) un archivo para ocultar su contenido

SINOPSIS
shred [OPCIÓN]... ARCHIVO...

DESCRIPCIÓN

Sobreescribe varias veces el/los archivo/s para dificultar la recuperación de los datos incluso si se dispone de los mejores medios.

Si ARCHIVO es '-', tritura la salida estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-f, --force
    si necesario, modifica los permisos para permitir la escritura

-n, --iterations=N
    sobreescribe N veces en lugar de 3 (por defecto).

--random-source=ARCHIVO
    extrae bytes aleatoriamente de ARCHIVO

-s, --size=N
    tritura los bytes indicados. Se pueden indicar sufijos como K, M o G

-u  desubica y elimina el archivo después de sobreescribirlo

--remove[=CÓMO]
    Igual que -u pero permite controlar CÓMO se borra. Vea más adelante

-v, --verbose
    muestra el avance

-x, --exact
    do not round file sizes up to the next full block; this is the default for non-regular files

-z, --zero
    añade una pasada final con ceros para ocultar el triturado

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Borra ARCHIVO/S si se indica --remove (-u). Por defecto no se eliminan porque es habitual trabajar con archivo de dispositivo como /dev/hda y no es habitual eliminarlos. El parámetro opcional CÓMO indica el modo de eliminar la entrada de un directorio: 'unlink' => simplemente lo desenlaza. 'wipe' => también ofusca los bytes donde está contenido el nombre y 'wipesync' => además sincroniza en el dispositivo cada byte que ofusca. Por defecto se usa 'wipesync' pero puede resultar muy lento.

PRECAUCIÓN: oberve que shred se basa en una premisa fundamental: el sistema de archivos sobreescribe la información indicada en el lugar en que se encuentra. Esto parece lo más lógico pero muchos sistemas de archivo moderno están diseñados para no cumplirla. La información puede estar en alguna copia de seguridad y puede ser recuperada. Consulte el manual de GNU Coreutils para más información.

AUTOR
Escrito por Colin Plump.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/shred>
también disponible localmente ejecutando: info '(coreutils) shred invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.